package App::Beam::Lint;

use strict;
use Carp;

require App::Beam;
our @ISA = qw(App::Beam);

use Unix::Sysexits;

=head1 NAME

beam lint - check configuration file syntax

=head1 SYNOPSIS

B<beam> [I<OPTIONS>] B<lint>

=head1 DESCRIPTION

Checks the B<beam>(1) configuration file.  Any errors found are reported
on standard error.

Exit code is 0 if no errors were found and 78 otherwise.

=head1 OPTIONS

=over 4
    
=item B<-h>

Print a short help summary.

=item B<--help>

Display manpage.

=item B<--usage>

Print a short command line usage reminder.    

=back

=cut

sub begin {
    my $self = shift;
    exit(EX_CONFIG) unless $self->parse();
    $self->load_backends;
}

sub end {
    exit(0);
}

sub run {
    my $self = shift;
}
